Skip to content
Start here

List WARP change events.

zero_trust.dex.warp_change_events.get(WARPChangeEventGetParams**kwargs) -> WARPChangeEventGetResponse
GET/accounts/{account_id}/dex/warp-change-events

List WARP configuration and enablement toggle change events by device.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Cloudflare DEX WriteCloudflare DEX ReadZero Trust ReportZero Trust Read
ParametersExpand Collapse
account_id: str
maxLength32
from_: str

Start time for the query in ISO (RFC3339 - ISO 8601) format

page: float

Page number of paginated results

minimum1
per_page: float

Number of items per page

maximum50
minimum1
to: str

End time for the query in ISO (RFC3339 - ISO 8601) format

account_name: Optional[str]

Filter events by account name.

config_name: Optional[str]

Filter events by WARP configuration name changed from or to. Applicable to type=‘config’ events only.

sort_order: Optional[Literal["ASC", "DESC"]]

Sort response by event timestamp.

One of the following:
"ASC"
"DESC"
toggle: Optional[Literal["on", "off"]]

Filter events by type toggle value. Applicable to type=‘toggle’ events only.

One of the following:
"on"
"off"
type: Optional[Literal["config", "toggle"]]

Filter events by type ‘config’ or ‘toggle’

One of the following:
"config"
"toggle"
ReturnsExpand Collapse
List[WARPChangeEventGetResponseItem]
One of the following:
class WARPChangeEventGetResponseItemDigitalExperienceMonitoringWARPToggleChangeEvent:
account_name: Optional[str]

The account name.

account_tag: Optional[str]

The public account identifier.

device_id: Optional[str]

API Resource UUID tag.

maxLength36
device_registration: Optional[str]

API Resource UUID tag.

maxLength36
hostname: Optional[str]

The hostname of the machine the event is from

serial_number: Optional[str]

The serial number of the machine the event is from

timestamp: Optional[str]

Timestamp in ISO format

toggle: Optional[Literal["on", "off"]]

The state of the WARP toggle.

One of the following:
"on"
"off"
user_email: Optional[str]

Email tied to the device

class WARPChangeEventGetResponseItemDigitalExperienceMonitoringWARPConfigChangeEvent:
device_id: Optional[str]

API Resource UUID tag.

maxLength36
device_registration: Optional[str]

API Resource UUID tag.

maxLength36
from_: Optional[WARPChangeEventGetResponseItemDigitalExperienceMonitoringWARPConfigChangeEventFrom]
account_name: Optional[str]

The account name.

account_tag: Optional[str]

API Resource UUID tag.

maxLength36
config_name: Optional[str]

The name of the WARP configuration.

hostname: Optional[str]

The hostname of the machine the event is from

serial_number: Optional[str]

The serial number of the machine the event is from

timestamp: Optional[str]

Timestamp in ISO format

to: Optional[WARPChangeEventGetResponseItemDigitalExperienceMonitoringWARPConfigChangeEventTo]
account_name: Optional[str]

The account name.

account_tag: Optional[str]

API Resource UUID tag.

maxLength36
config_name: Optional[str]

The name of the WARP configuration.

user_email: Optional[str]

Email tied to the device

List WARP change events.

import os
from cloudflare import Cloudflare

client = Cloudflare(
    api_token=os.environ.get("CLOUDFLARE_API_TOKEN"),  # This is the default and can be omitted
)
warp_change_events = client.zero_trust.dex.warp_change_events.get(
    account_id="01a7362d577a6c3019a474fd6f485823",
    from_="2023-09-20T17:00:00Z",
    page=1,
    per_page=1,
    to="2023-09-20T17:00:00Z",
)
print(warp_change_events)
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": [
    {
      "account_name": "account_name",
      "account_tag": "account_tag",
      "device_id": "f174e90a-fafe-4643-bbbc-4a0ed4fc8415",
      "device_registration": "f174e90a-fafe-4643-bbbc-4a0ed4fc8415",
      "hostname": "hostname",
      "serial_number": "serial_number",
      "timestamp": "2023-10-11T00:00:00Z",
      "toggle": "on",
      "user_email": "user_email"
    }
  ],
  "result_info": {
    "count": 1,
    "page": 1,
    "per_page": 20,
    "total_count": 2000,
    "total_pages": 100
  }
}
Returns Examples
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": [
    {
      "account_name": "account_name",
      "account_tag": "account_tag",
      "device_id": "f174e90a-fafe-4643-bbbc-4a0ed4fc8415",
      "device_registration": "f174e90a-fafe-4643-bbbc-4a0ed4fc8415",
      "hostname": "hostname",
      "serial_number": "serial_number",
      "timestamp": "2023-10-11T00:00:00Z",
      "toggle": "on",
      "user_email": "user_email"
    }
  ],
  "result_info": {
    "count": 1,
    "page": 1,
    "per_page": 20,
    "total_count": 2000,
    "total_pages": 100
  }
}